routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::prefix('api')->group(function () {

    Route::get('/categories', 'Backend\CategoryController@apiIndex');
    Route::post('/categories/attribute', 'Backend\CategoryController@apiIndexAttribute');
    Route::get('/cities/{provinceId}', 'Auth\RegisterController@getAllCities');
    Route::get('/products/{id}/', 'Frontend\ProductController@apiGetProduct');
    Route::get('/sort-products/{id}/{sort}/{paginate}', 'Frontend\ProductController@apiGetSortedProduct');
    Route::get('/categories-attribute/{id}', 'Frontend\ProductController@apiGetCategoryAttributes');
    Route::get('/filter-products/{id}/{sort}/{paginate}/{attributes}', 'Frontend\ProductController@apiGetFilterProducts');

});

Auth::routes(['verify'=>true]);



Route::get('/verify','VerifyController@getVerify')->name('getVerify');
Route::post('/verify','VerifyController@postVerify')->name('verify');
Route::post('/send-verify','VerifyController@reSendVerify')->name('sendVerify');


Route::get('/home', 'HomeController@index')->name('home');
Route::get('logout', '\App\Http\Controllers\Auth\LoginController@logout');

Route::prefix('administrator')->middleware(['auth','isAdmin:مدیر'])->group(function (){
    Route::get('/dashboard','Backend\DashboardController@index');
    Route::get('/news','FrontEnd\AboutController@index')->name('news.index');
    Route::resource('/brands','Backend\BrandController');
    Route::resource('/posts','Backend\PostController');
    Route::resource('/roles','Backend\RoleController');
    Route::resource('/photos','Backend\PhotoController');
    Route::post('/photos/upload','Backend\PhotoController@upload')->name('photos.upload');
    Route::resource('/vendors','Backend\VendorController');
    Route::resource('/shops','Backend\ShopController');
    Route::resource('/categories','Backend\CategoryController');
    Route::resource('/attributes-group','Backend\AttributeGroupController');
    Route::resource('/attributes-value','Backend\AttributeValueController');
    Route::resource('/users','Backend\UserController');
    Route::resource('/profiles','Backend\ProfileController');
    Route::resource('/roles-user','Backend\RoleUserController');
    Route::resource('/coupons','Backend\CouponController');
    Route::resource('/sms-panel','Backend\SmsPanelController');
    Route::resource('/products','Backend\ProductController');
    Route::resource('/banks','Backend\BankController');
    Route::resource('/shops','Backend\ShopController');
    Route::resource('/city','Backend\CityController');
    Route::resource('/province','Backend\ProvinceController');
    Route::resource('/vendors','Backend\VendorController');
    Route::resource('/contacts','Backend\ContactController');
    Route::get('/categories/{id}/settings', 'Backend\CategoryController@indexSetting')->name('categories.indexSetting');
    Route::post('/categories/{id}/settings', 'Backend\CategoryController@saveSetting');
    Route::get('/orders', 'Backend\OrderController@index')->name('order.index');
    Route::get('/orders/lists/{id}', 'Backend\OrderController@getOrderLists')->name('orders.lists');

});

Route::get('/products','FrontEnd\ProductController@index');
Route::get('/products/{slug}','FrontEnd\ProductController@show')->name('product.show');
Route::get('/welcome','FrontEnd\IndexController@index');
Route::get('/','FrontEnd\IndexController@index');
Route::get('/categories/{id}','FrontEnd\CategoryController@show');
Route::post('/search','FrontEnd\SearchController@index');
Route::get('/add-to-cart/{id}', 'FrontEnd\CartController@addToCart')->name('cart.add');
Route::post('/remove-item/{id}', 'FrontEnd\CartController@removeItem')->name('cart.remove');
Route::get('/cart', 'FrontEnd\CartController@getCart')->name('cart.cart');
Auth::routes();

Route::group(['middleware'=>'auth'],function(){
    Route::post('/coupon', 'FrontEnd\CouponController@addCoupon')->name('coupon.add');
    Route::post('/posts', 'FrontEnd\PostController@store')->name('post.store');
    Route::get('/order-verify', 'FrontEnd\OrderController@verify')->name('order.verify');
    Route::get('/payment-verify/{id}', 'FrontEnd\PaymentController@verify')->name('payment.verify');
    Route::get('/profile', 'FrontEnd\UserController@profile')->name('user.profile');
    Route::get('/profile-edit/{id}', 'FrontEnd\UserController@edit')->name('profile.edit');
    Route::put('/profile-update/{id}', 'FrontEnd\UserController@update')->name('profile.updates');
    Route::get('/orders', 'FrontEnd\OrderController@index')->name('profile.orders');
    Route::get('/orders/lists/{id}', 'FrontEnd\OrderController@getOrderLists')->name('profile.orders.lists');
    Route::post('/add-city','FrontEnd\UserController@locations')->name('add.city');
    Route::resource('/addresses','FrontEnd\AddressController');
    Route::post('/photos/upload','Backend\PhotoController@upload')->name('photos.upload');
});

Route::get('/home', 'HomeController@index')->name('home');

Route::get('/mobile/reset', 'Auth\MobileResetController@index')->name('mobile.reset');
Route::post('/send/code', 'Auth\MobileResetController@sendCodePass')->name('send.code');
Route::post('/change/code','Auth\MobileResetController@changePassword')->name('change.code');
Route::get('/mobile/change', 'Auth\MobileResetController@getMobile')->name('mobile.change');

Route::get('/contact-me','FrontEnd\AboutController@contact')->name('contact.me');
Route::post('/contact-save','FrontEnd\AboutController@contactSave')->name('contact.save');
Route::post('/email-save','FrontEnd\AboutController@news')->name('email.save');
Route::get('/about-me','FrontEnd\AboutController@about')->name('about.me');

resources/views/admin/attributes/create.blade.php
@extends('admin.layouts.master')

@section('title')
    ایجاد ویژگی های جدید
@endsection

@section('content')
    <div class="container-fluid">
        <div class="alert alert-secondary d-block p-1 m-0 shadow">
            <div class="pr-1">
                <span><a class="span-link text-muted" href="{{url('/administrator/dashboard')}}">داشبورد</a></span><span class="font-size-25 text-muted">/</span>
                <span><a class="span-link text-muted" href="{{url('/administrator/products')}}">محصولات</a></span><span class="font-size-25 text-muted">/</span>
                <span><a class="span-link text-muted" href="{{url('/administrator/attributes-group')}}">ویژگی ها</a></span><span class="font-size-25 text-muted">/</span>
                <span><a class="span-link text-muted" href="{{route('attributes-group.create')}}">ایجاد ویژگی جدید</a></span>
            </div>
        </div>
        <br>
            <div class="border-bottom pb-3">
                <h3 class="text-center">ایجاد ویژگی جدید</h3>
            </div>
          <div class="row">
                    <div class="col-md-8 m-auto pt-2">
                        @include('admin.partials.form-errors')
                        <br>
                        <form method="post" action="/administrator/attributes-group">
                            @csrf
                            <div class="form-group">
                                <label for="title">عنوان<span class="text-danger font-size-22 font-weight-bold">*</span></label>
                                <input type="text" name="title" id="title" class="form-control" placeholder="عنوان گروه بندی ویژگی را وارد کنید...">
                            </div>
                            <div class="form-group">
                                <label for="meta_title">نوع<span class="text-danger font-size-22 font-weight-bold">*</span></label>
                                <select name="type" id="meta_title" class="form-control">
                                    <option value="select">لیست تکی</option>
                                    <option value="multiple">لیست چندتایی</option>
                                </select>
                            </div>
                            <div class="form-group">
                                <label for="description">توضیحات</label>
                                <textarea class="form-control" name="description" id="description" placeholder="درباره عنوان ویژگی بنویسید..."></textarea>
                            </div>
                            <button type="submit" class="btn btn-info btn-block">ذخیره</button>
                        </form>
                    </div>
                </div>
    </div>

@endsection

resources/views/admin/attributes/edit.blade.php
@extends('admin.layouts.master')

@section('title')
ویرایش ویژگی ها
@endsection

@section('content')

<div class="container-fluid">
    <div class="alert alert-secondary d-block p-1 m-0 shadow">
        <div class="pr-1">
            <span><a class="span-link text-muted" href="{{url('/administrator/dashboard')}}">داشبورد</a></span><span class="font-size-25 text-muted">/</span>
            <span><a class="span-link text-muted" href="{{url('/administrator/products')}}">محصولات</a></span><span class="font-size-25 text-muted">/</span>
            <span><a class="span-link text-muted" href="{{url('/administrator/attributes-group')}}">ویژگی ها</a></span><span class="font-size-25 text-muted">/</span>
            <span><a class="span-link text-muted" href="{{route('attributes-group.edit',$attributeGroup->id)}}">ویرایش ویژگی </a></span><span class="font-size-25 text-muted">/</span>
            <span><a class="span-link text-muted" href="{{route('attributes-group.edit',$attributeGroup->id)}}">{{$attributeGroup->title}} </a></span>
        </div>
    </div>
    <br>
            <div class="border-bottom pb-3">
                <h3 class="text-center">ویرایش ویژگی {{$attributeGroup->title}}</h3>
            </div>

                <div class="row">
                    <div class="col-md-8 m-auto py-2">
                        @include('admin.partials.form-errors')
                        <br>
                        <form method="post" action="/administrator/attributes-group/{{$attributeGroup->id}}">
                            @csrf
                            <input type="hidden" name="_method" value="PATCH">
                            <div class="form-group">
                                <label for="title">عنوان<span class="text-danger font-size-22 font-weight-bold">*</span></label>
                                <input type="text" name="title" id="title" class="form-control" value="{{$attributeGroup->title}}" placeholder="عنوان گروه بندی ویژگی را وارد کنید...">
                            </div>
                            <div class="form-group">
                                <label for="meta_title">نوع<span class="text-danger font-size-22 font-weight-bold">*</span></label>
                                <select name="type" id="meta_title" class="form-control">
                                    <option value="select" @if($attributeGroup->type == 'select') selected @endif>لیست تکی</option>
                                    <option value="multiple" @if($attributeGroup->type == 'multiple') selected @endif>لیست چندتایی</option>
                                </select>
                            </div>
                            <div class="form-group">
                                <label for="description">توضیحات</label>
                                <textarea class="form-control" name="description" id="description" placeholder="درباره عنوان ویژگی بنویسید...">{{$attributeGroup->description}}</textarea>
                            </div>
                            <button type="submit" class="btn btn-primary btn-block">بروز رسانی</button>
                        </form>
                    </div>
                </div>
</div>
@endsection

resources/views/admin/attributes/index.blade.php
@extends('admin.layouts.master')

@section('title')
    ویژگی ها
@endsection

@section('content')
<div class="container-fluid">
        <div class="alert alert-secondary d-block p-1 m-0 shadow">
            <div class="pr-1">
            <span><a class="span-link text-muted" href="{{url('/administrator/dashboard')}}">داشبورد</a></span><span class="font-size-25 text-muted">/</span>
            <span><a class="span-link text-muted" href="{{url('/administrator/products')}}">محصولات</a></span><span class="font-size-25 text-muted">/</span>
            <span><a class="span-link text-muted" href="{{url('/administrator/attributes-group')}}">ویژگی ها</a></span>
            </div>
        </div>
    <br>
                <h3 class="text-center">ویژگی ها</h3>
                <div class="text-left mb-2">
                    <a class="btn btn-info btn-lg" href="{{route('attributes-group.create')}}">
                        <i class="fa fa-plus"></i> جدید
                    </a>
                </div>
                @include('admin.partials.index-success')
                    <table class="table table-hover table-striped table-active shadow">
                        <thead>
                        <tr>
                            <th>شناسه</th>
                            <th>عنوان</th>
                            <th>نوع</th>
                            <th>عملیات</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($attributesGroup as $attribute)
                            <tr>
                                <td>{{$attribute->id}}</td>
                                <td>{{$attribute->title}}</td>
                                <td>{{$attribute->type}}</td>
                                <td class="custom-control-inline">
                                    <a class="btn btn-warning text-white" href="{{route('attributes-group.edit', $attribute->id)}}">ویرایش</a>
                                    <div class="display-inline-block">
                                        <form method="post" action="/administrator/attributes-group/{{$attribute->id}}">
                                            @csrf
                                            <input type="hidden" name="_method" value="DELETE">
                                            <button type="submit" class="btn btn-danger mx-2">حذف</button>
                                        </form>
                                    </div>

                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                <div class="row">
                    <div class="col-md-4 col-4 m-auto">
                        <span class="text-center m-auto">{{$attributesGroup->links()}}</span>
                    </div>
                </div>
</div>

@endsection